import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/inherits";
import * as React from 'react';
import './tagFilter.css';
var colors = ['#ed5858', '#f28d49', '#f5d540', '#38ba72', '#55c6c6', '#41b0d9', '#5b99ee'];

var Filter =
/*#__PURE__*/
function (_React$Component) {
  _inherits(Filter, _React$Component);

  function Filter(p) {
    var _this;

    _classCallCheck(this, Filter);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(Filter).call(this, p));
    _this.before = 0;

    _this.handleEnter = function (k) {
      _this.setState({
        hoverIndex: k
      });
    };

    _this.handleLeave = function (k) {
      _this.setState({
        hoverIndex: _this.state.selectedIndex
      });
    };

    _this.handleClick = function (k) {
      var handleClick = _this.props.handleClick;
      _this.before = k;

      _this.setState({
        selectedIndex: k
      });

      handleClick(k);
    };

    _this.getColor = function (selected, k) {
      if (k == 0 && selected) {
        return '#3f9cee';
      } else {
        return selected ? colors[k % 7] : '#e7eef3';
      }
    };

    _this.state = {
      selectedIndex: p.selectexIndex,
      hoverIndex: p.selectexIndex
    };
    _this.before = p.selectexIndex;
    return _this;
  }

  _createClass(Filter, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      var tagData = this.props.tagData;
      var _this$state = this.state,
          selectedIndex = _this$state.selectedIndex,
          hoverIndex = _this$state.hoverIndex;
      return React.createElement("div", {
        className: 'tags-wrap'
      }, tagData.map(function (text, k) {
        var selected = selectedIndex == k;
        var hovered = hoverIndex == k;
        return React.createElement("span", {
          className: 'a-tag',
          onClick: function onClick() {
            _this2.handleClick(k);
          },
          onMouseEnter: function onMouseEnter() {
            _this2.handleEnter(k);
          },
          onMouseLeave: function onMouseLeave() {
            _this2.handleLeave(k);
          },
          style: {
            backgroundColor: _this2.getColor(selected || hovered, k),
            color: selected || hovered ? '#fff' : '#8f9ca6'
          },
          key: "a-tag".concat(k)
        }, text);
      }));
    }
  }]);

  return Filter;
}(React.Component);

export { Filter as default };