import * as React from 'react';
import './index.scss';
interface Props {
    value: string;
    change: Function;
    defaultValue: string;
    onChange: Function;
    placeholder: string;
}
declare class Input extends React.PureComponent<Props, {}> {
    state: {
        value: string;
    };
    constructor(p: Props);
    handleChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
    handlePressEnter: (e: React.KeyboardEvent<HTMLInputElement>) => void;
    handleBlur: (e: React.FocusEvent<HTMLInputElement>) => void;
    saveState(val: string): void;
    componentWillReceiveProps(props: Props): void;
    render(): JSX.Element;
}
export default Input;
