import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/inherits";
import * as React from 'react';
import './index.css';

var Input =
/*#__PURE__*/
function (_React$PureComponent) {
  _inherits(Input, _React$PureComponent);

  function Input(p) {
    var _this;

    _classCallCheck(this, Input);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(Input).call(this, p));
    _this.state = {
      value: ''
    };

    _this.handleChange = function (e) {
      _this.props.change && _this.props.change(e.target.value);

      _this.setState({
        value: e.target.value
      });
    };

    _this.handlePressEnter = function (e) {
      if (e.which === 13) {
        _this.saveState(e.currentTarget.value);
      }
    };

    _this.handleBlur = function (e) {
      _this.saveState(!e.currentTarget.value ? _this.props.defaultValue : e.currentTarget.value);

      !e.currentTarget.value && _this.setState({
        value: _this.props.defaultValue
      });
    };

    _this.state = {
      value: p.value
    };
    return _this;
  }

  _createClass(Input, [{
    key: "saveState",
    value: function saveState(val) {
      var onChange = this.props.onChange;
      onChange && onChange(val);
    }
  }, {
    key: "componentWillReceiveProps",
    value: function componentWillReceiveProps(props) {
      this.setState({
        value: props.value
      });
    }
  }, {
    key: "render",
    value: function render() {
      var placeholder = this.props.placeholder;
      return React.createElement("input", {
        className: 'cm-form-input',
        type: 'text',
        value: this.state.value || '',
        placeholder: placeholder,
        onChange: this.handleChange,
        onKeyPress: this.handlePressEnter,
        onBlur: this.handleBlur
      });
    }
  }]);

  return Input;
}(React.PureComponent);

export default Input;